Book

Updates the background image of a book by uploading a new background image file to the blob storage and associating it with the specified book.

The method validates the input parameters, uploads the background image file to the blob storage, and sends a command to update the book's background image in the domain.

POST
/public-api/v1/Book/{bookId}/BackgroundImageUpload
cURL
curl --request POST \
  --url '/public-api/v1/Book/{bookId}/BackgroundImageUpload' \
  --header 'user-api-key: <api-key>' \
  --header 'Content-Type: multipart/form-data'

Authorizations

  • user-api-keystringheader

    User's API Key · apiKey

Path parameters

  • bookIdstringrequired

    The unique identifier of the book whose background image is being updated.

Body

multipart/form-data
  • BackgroundImageFilestringrequired

Responses

OK